package com.sdtool.common.entity.system;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by jlutt on 2021-04-01
 *
 * @author jlutt
 */
public class DataLockRedisItem {

    private int error;

    private String errorMsg;

    private List<Long> successIds = new ArrayList<>();

    private List<Long> realSuccessIds = new ArrayList<>();

    private List<Long> failIds = new ArrayList<>();

    public DataLockRedisItem() {
    }

    public DataLockRedisItem(int error, String errorMsg) {
        this.error = error;
        this.errorMsg = errorMsg;
    }

    public int getError() {
        return error;
    }

    public void setError(int error) {
        this.error = error;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public List<Long> getSuccessIds() {
        return successIds;
    }

    public void setSuccessIds(List<Long> successIds) {
        this.successIds = successIds;
    }

    public List<Long> getFailIds() {
        return failIds;
    }

    public void setFailIds(List<Long> failIds) {
        this.failIds = failIds;
    }

    public List<Long> getRealSuccessIds() {
        return realSuccessIds;
    }

    public void setRealSuccessIds(List<Long> realSuccessIds) {
        this.realSuccessIds = realSuccessIds;
    }
}
